const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const pregnancy_symptom_logs = sequelize.define(
    'pregnancy_symptom_logs',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

logged_at: {
        type: DataTypes.DATE,
      
      

      },

nausea: {
        type: DataTypes.INTEGER,
      
      

      },

vomiting: {
        type: DataTypes.INTEGER,
      
      

      },

fatigue: {
        type: DataTypes.INTEGER,
      
      

      },

heartburn: {
        type: DataTypes.INTEGER,
      
      

      },

swelling: {
        type: DataTypes.INTEGER,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  pregnancy_symptom_logs.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.pregnancy_symptom_logs.belongsTo(db.pregnancies, {
      as: 'pregnancy',
      foreignKey: {
        name: 'pregnancyId',
      },
      constraints: false,
    });




    db.pregnancy_symptom_logs.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.pregnancy_symptom_logs.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return pregnancy_symptom_logs;
};


